Get Model Configuration
curl --request GET \
--url https://api.cyberdesk.io/v1/model-configurations/{model_configuration_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cyberdesk.io/v1/model-configurations/{model_configuration_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cyberdesk.io/v1/model-configurations/{model_configuration_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"provider": "<string>",
"model": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_system_default": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"temperature": 123,
"max_tokens": 123,
"timeout_seconds": 123,
"max_retries": 123,
"additional_params": {},
"agent_harness_version_string": "<string>",
"is_computer_use_model": false,
"is_archived": false,
"organization_id": "<string>",
"api_key_alias": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}model-configurations
Get Model Configuration
GET
/
v1
/
model-configurations
/
{model_configuration_id}
Get Model Configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
API response schema for model configurations.
Required string length:
1 - 255LangChain provider name (e.g. 'anthropic', 'openai').
Required string length:
1 - 50Provider model identifier (e.g. 'claude-sonnet-4-5-20250929').
Required string length:
1 - 255Provider-specific kwargs passed through to LangChain.
Agent harness version string used by Cyberdesk workers for prompt/tool selection.
True if this model has native computer use capabilities. If True, can be used for main agent, focused actions, and fallbacks for those agents.
Whether this model configuration is archived and should generally be hidden behind archived-model UI affordances.
Basis Theory token id (alias) used to resolve api_key at runtime.
Was this page helpful?